#include "xmaterialtexturedef.h"

XMaterialTextureDef::XMaterialTextureDef()
    : XAsset()
    , mNameHash(0)
    , mNameStart(0)
    , mNameEnd(0)
    , mSamplerState(0)
    , mSemantic(0)
    , mDefInfo()
{
    
}

XMaterialTextureDef::~XMaterialTextureDef()
{
    
}

void XMaterialTextureDef::ParseData(QDataStream *aStream)
{
    
}

void XMaterialTextureDef::Clear()
{
    mNameHash = 0;
    mNameStart = 0;
    mNameEnd = 0;
    mSamplerState = 0;
    mSemantic = 0;
    mDefInfo = XMaterialTextureDefInfo();
}
